diff -u 01-yourpatch//de 02-new//de
--- 01-yourpatch//de	2011-08-11 21:30:14.018725500 +0200
+++ 02-new//de	2011-08-12 07:41:24.551445700 +0200
@@ -51,6 +51,11 @@
     include "kpdl(comma)"
 
     include "level3(ralt_switch)"
+
+    // enable xmodmap to put a nobreakspace onto AltGr+space
+    // (Without the following line, the key <SPCE> definition is too short for xmodmap's AltGr level;
+    // for users, that don't use xmodmap, the following line is transparent.)
+    key <SPCE> { [ space, space, space, space ] };
 };
 
 partial alphanumeric_keys
@@ -105,12 +110,23 @@
 
     include "de(basic)"
 
-    name[Group1]="German (nodeadtilde)";
+    name[Group1]="Germany - nodeadtilde";
 
     key <AD12> { [      plus,   asterisk,   asciitilde,       macron ] };
 };
 
 partial alphanumeric_keys
+xkb_symbols "windowscompatible" {
+    // modify the basic German layout to match the Windows layout
+
+    include "de(nodeadtilde)"
+
+    name[Group1]="Germany - Windows";
+
+    include "nbsp(level3)"
+};
+
+partial alphanumeric_keys
 xkb_symbols "ro" {
     // add romanian-specific letters to the basic German layout.
     // Romanian symbols are accessible with combination of <AltGr> and
